#!/usr/bin/perl

    use strict;
    use DBI;
    use lib qw( ../cgi-lib );
    use DBIwrap;

my $DSN = "dbi:SQLite:dbname=test.sqlite";
my $USER = "";
my $PASS = "";
my %ATTR = ( RaiseError => 1, AutoCommit => 1 );

print "[DSN] $DSN\n";
my $dbh = DBIwrap->connect( $DSN, $USER, $PASS, \%ATTR ) or die "$! - $DSN\n";

my $sqlver = "select sqlite_version(*)";
print "[SQL] $sqlver\n";
my $value = $dbh->select_1st_value( $sqlver );

print "[VERSION] $value\n";
